Bug 128454 - There is no easy way to delete a table in impress on iOS
Summary: There is no easy way to delete a table in impress on iOS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: iOS Editor (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other iOS
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-29 13:03 UTC by Nicolas Christener
Modified: 2019-12-22 13:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-10-29 13:03:23 UTC
Description:
While it's easy to insert a table in impress on iOS there seems not to be an easy way to delete a table.

Steps to Reproduce:
1. Create/open a slide deck on iOS
2. Insert a table on a slide
3. Try to delete the table

Actual Results:
There is no easy way to delete a table.

Expected Results:
It should be easy to delete a table.


Reproducible: Always


User Profile Reset: No



Additional Info:
I would expect such a function in the "Table > Delete" menu.
Comment 1 Xisco Faulí 2019-10-30 08:26:36 UTC
Moving to NEW
Comment 2 Tor Lillqvist 2019-10-30 12:43:12 UTC
Looking into this now.
Comment 3 Tor Lillqvist 2019-10-30 13:42:36 UTC
It would be trivial to make it possible to delete also the last row or column in a table (and the table would then be deleted, too). Then as a workaround, one could delete a table in a presentation document by deleting rows or columns one by one. But that is a bit silly, sure, so I will first try to see if I can figure out how to make it possible to delete the whole table in one go.
Comment 4 Nicolas Christener 2019-10-30 14:49:17 UTC
If deleting the table in one go is not trivial to implement I'm also happy with the approach of deleting all rows individually and the last one delete the table.

Thanks Tor!
Comment 5 Commit Notification 2019-10-31 06:11:08 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4594ae70f3bcde7a87ec606030ec5217ba53788

tdf#128454: Make it possible to delete a table's single row or column

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Tor Lillqvist 2019-10-31 06:16:39 UTC
It is btw already so that if one manages to select an area covering all rows (or all columns) of the table, and then chooses Table > Delete > Delete Rows (or Columns), the whole table is deleted. But yeah, the touch UI to select cells in a table is not easy to use, and it takes a while before on manages to get into the state where cells are selected and the cell selection can be extended.
Comment 7 Commit Notification 2019-11-01 08:45:07 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/76c0741d1377274e5347c586ada4061ee157527b

tdf#128454: Make it possible to delete a table's single row or column

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-12-03 10:48:26 UTC
A polite ping to Tor Lillqvist:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 9 Tor Lillqvist 2019-12-03 11:05:23 UTC
Nicolas, can this be resolved as FIXED?
Comment 10 Nicolas Christener 2019-12-22 13:15:49 UTC
Tested with 4.2.x - it's now possible to delete a table.

I think, this issue can be closed.

Thanks a lot to the Collabora Team and especially Tor for taking care of this!